<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/include/ACL/Transport/PostConnectSynchronizerFactory.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_1088b026815130b3cc8e9ac3f4525272.html">include</a></li><li class="navelem"><a class="el" href="dir_ce0d3eda4bb43bdcf8c1c51ff13ee585.html">ACL</a></li><li class="navelem"><a class="el" href="dir_711bc606e725cfd07f3f2b0a5f6ebc00.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PostConnectSynchronizerFactory.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_post_connect_synchronizer_factory_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_POSTCONNECTSYNCHRONIZERFACTORY_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_POSTCONNECTSYNCHRONIZERFACTORY_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_context_manager_interface_8h.html">AVSCommon/SDKInterfaces/ContextManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_post_connect_factory_interface_8h.html">ACL/Transport/PostConnectFactoryInterface.h</a>&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>acl {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html">PostConnectSynchronizerFactory</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html">PostConnectFactoryInterface</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;PostConnectSynchronizerFactory&gt; <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html#ae0513ec26dc0d0b56859faba85c7a0f9">create</a>(</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    std::shared_ptr&lt;PostConnectInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html#ad42c067af6a88b7f5d24b045a62a2ddd">createPostConnect</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html">PostConnectSynchronizerFactory</a>(std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; m_contextManager;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;};</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}  <span class="comment">// namespace acl</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_POSTCONNECTSYNCHRONIZERFACTORY_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html">alexaClientSDK::acl::PostConnectFactoryInterface</a></div><div class="ttdef"><b>Definition:</b> PostConnectFactoryInterface.h:30</div></div>
<div class="ttc" id="_context_manager_interface_8h_html"><div class="ttname"><a href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory_html_ae0513ec26dc0d0b56859faba85c7a0f9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html#ae0513ec26dc0d0b56859faba85c7a0f9">alexaClientSDK::acl::PostConnectSynchronizerFactory::create</a></div><div class="ttdeci">static std::shared_ptr&lt; PostConnectSynchronizerFactory &gt; create(std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager)</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizerFactory.cpp:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html">alexaClientSDK::acl::PostConnectSynchronizerFactory</a></div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizerFactory.h:31</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_post_connect_factory_interface_8h_html"><div class="ttname"><a href="_post_connect_factory_interface_8h.html">PostConnectFactoryInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory_html_ad42c067af6a88b7f5d24b045a62a2ddd"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_factory.html#ad42c067af6a88b7f5d24b045a62a2ddd">alexaClientSDK::acl::PostConnectSynchronizerFactory::createPostConnect</a></div><div class="ttdeci">std::shared_ptr&lt; PostConnectInterface &gt; createPostConnect() override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizerFactory.cpp:46</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
